Platform_loader = {}

function Platform_loader:update(dt)
    Platform_loader:updatePlatformHitboxes()
    if Level == 1 then
        Platform_1.xpos = Width - Times64(2)
        Platform_1.ypos = Height - Times64(3)
        Platform_2.xpos = Width - Times64(6)
        Platform_2.ypos = Height - Times64(5)
        Platform_3.xpos = Width - Times64(10)
        Platform_3.ypos = Height - Times64(7)
        Thin_1.xpos = Width
        Thin_1.ypos = Height
        Boost_1.xpos = Width
        Boost_1.ypos = Height
        Long_1.xpos = Width
        Long_1.ypos = Height
        Tutorial.xpos = 0
        Tutorial.ypos = Height - Times64(3)
    elseif Level == 2 then
        Platform_1.xpos = Width - Times64(8)
        Platform_1.ypos = Height - Times64(3)
        Platform_2.xpos = Width - Times64(6)
        Platform_2.ypos = Height - Times64(5)
        Platform_3.xpos = Width - Times64(2)
        Platform_3.ypos = Height - Times64(7) - 15
        Thin_1.xpos = Width - Times64(9)
        Thin_1.ypos = Height - Times64(1)
        Boost_1.xpos = Width
        Boost_1.ypos = Height
        Long_1.xpos = Width
        Long_1.ypos = Height
        Tutorial.xpos = 0
        Tutorial.ypos = Height - Times64(3)
    elseif Level == 3 then
        Platform_1.xpos = Width - Times64(4)
        Platform_1.ypos = Height - Times64(3)
        Platform_2.xpos = Width - Times64(6)
        Platform_2.ypos = Height - Times64(5)
        Platform_3.xpos = Width - Times64(2)
        Platform_3.ypos = Height - Times64(7) - 15
        Thin_1.xpos = Width - Times64(2)
        Thin_1.ypos = Height - Times64(1)
        Boost_1.xpos = Width
        Boost_1.ypos = Height
        Long_1.xpos = Width
        Long_1.ypos = Height
        Tutorial.xpos = 0
        Tutorial.ypos = Height - Times64(3)
    elseif Level == 4 then
        Platform_1.xpos = Width - Times64(4)
        Platform_1.ypos = Height - Times64(3)
        Platform_2.xpos = Width - Times64(6)
        Platform_2.ypos = Height - Times64(5)
        Platform_3.xpos = Width - Times64(10)
        Platform_3.ypos = Height - Times64(7)
        Thin_1.xpos = Width
        Thin_1.ypos = Height
        Boost_1.xpos = Width - Times64(1)
        Boost_1.ypos = Height - Times64(2)
        Long_1.xpos = Width
        Long_1.ypos = Height
        Tutorial.xpos = 0
        Tutorial.ypos = Height - Times64(3)
    elseif Level == 5 then
        Platform_1.xpos = Width - Times64(3)
        Platform_1.ypos = Height - Times64(3)
        Platform_2.xpos = Width - Times64(5)
        Platform_2.ypos = Height - Times64(5)
        Platform_3.xpos = Width - Times64(8)
        Platform_3.ypos = Height - Times64(7)
        Thin_1.xpos = Width - Times64()
        Thin_1.ypos = Height - Times64()
        Boost_1.xpos = Width - Times64()
        Boost_1.ypos = Height - Times64()
        Long_1.xpos = Width - Width
        Long_1.ypos = Height - Times64(1)
        Tutorial.xpos = 0
        Tutorial.ypos = Height - Times64()
    elseif Level == 6 then 
        Platform_1.xpos = Width - Times64(10)
        Platform_1.ypos = Height - Times64(2)
        Platform_2.xpos = Width - Times64(12)
        Platform_2.ypos = Height - Times64(4)
        Platform_3.xpos = Width - Times64(8)
        Platform_3.ypos = Height - Times64(6)
        Thin_1.xpos = Width - Times64(8)
        Thin_1.ypos = Height - Times64(1)
        Boost_1.xpos = Width - Times64(7)
        Boost_1.ypos = Height - Times64(8)
        Long_1.xpos = 0
        Long_1.ypos = Height - Times64()
        Tutorial.xpos = Width - Times64()
        Tutorial.ypos = Height - Times64()
    elseif Level == 7 then
        Platform_1.xpos = Width - Times64(10)
        Platform_1.ypos = Height - Times64(2)
        Platform_2.xpos = Width - Times64(6)
        Platform_2.ypos = Height - Times64(2)
        Platform_3.xpos = Width - Times64(4)
        Platform_3.ypos = Height - Times64(4)
        Thin_1.xpos = Width - Times64(8)
        Thin_1.ypos = Height - Times64(1)
        Boost_1.xpos = Width - Times64(8)
        Boost_1.ypos = Height - Times64(8)
        Long_1.xpos = 0
        Long_1.ypos = Height - Times64(6)
        Tutorial.xpos = Width - Times64()
        Tutorial.ypos = Height - Times64()
    elseif Level == 8 then 
        Platform_1.xpos = Width - Times64(7)
        Platform_1.ypos = Height - Times64(7)
        Platform_2.xpos = Width - Times64()
        Platform_2.ypos = Height - Times64()
        Platform_3.xpos = Width - Times64()
        Platform_3.ypos = Height - Times64()
        Thin_1.xpos = Width - Times64(9)
        Thin_1.ypos = Height - Times64(3)
        Boost_1.xpos = Width - Times64(8.5)
        Boost_1.ypos = Height - Times64(6)
        Long_1.xpos = 0
        Long_1.ypos = Height - Times64(1)
        Tutorial.xpos = Width - Times64()
        Tutorial.ypos = Height - Times64()
    elseif Level == 9 then 
        Platform_1.xpos = Width - Times64(7)
        Platform_1.ypos = Height - Times64(7)
        Platform_2.xpos = Width - Times64(5)
        Platform_2.ypos = Height - Times64(5)
        Platform_3.xpos = Width - Times64()
        Platform_3.ypos = Height - Times64()
        Thin_1.xpos = Width - Times64(3)
        Thin_1.ypos = Height - Times64(1)
        Boost_1.xpos = Width - Times64(6)
        Boost_1.ypos = Height - Times64(3.5)
        Long_1.xpos = 0
        Long_1.ypos = Height - Times64()
        Tutorial.xpos = Width - Times64()
        Tutorial.ypos = Height - Times64()
    -- final level for tutorials
    elseif Level == 10 then 
        Platform_1.xpos = Width - Times64()
        Platform_1.ypos = Height - Times64()
        Platform_2.xpos = Width - Times64()
        Platform_2.ypos = Height - Times64()
        Platform_3.xpos = Width - Times64()
        Platform_3.ypos = Height - Times64()
        Thin_1.xpos = Width - Times64()
        Thin_1.ypos = Height - Times64()
        Boost_1.xpos = Width - Times64()
        Boost_1.ypos = Height - Times64()
        Long_1.xpos = 0
        Long_1.ypos = Height - Times64(1)
        Tutorial.xpos = Width - Times64()
        Tutorial.ypos = Height - Times64()
    elseif Level == 11 then 
        Platform_1.xpos = Width - Times64()
        Platform_1.ypos = Height - Times64()
        Platform_2.xpos = Width - Times64()
        Platform_2.ypos = Height - Times64()
        Platform_3.xpos = Width - Times64()
        Platform_3.ypos = Height - Times64()
        Thin_1.xpos = Width - Times64()
        Thin_1.ypos = Height - Times64()
        Thin_2.xpos = Width - Times64()
        Thin_2.ypos = Height - Times64()
        Boost_1.xpos = Width - Times64()
        Boost_1.ypos = Height - Times64()
        Long_1.xpos = 0
        Long_1.ypos = Height - Times64(1)
        Tutorial.xpos = Width - Times64()
        Tutorial.ypos = Height - Times64()
    end
    Platform_loader:updatePlatformHitboxes()
    -- the following after this comment is the configurations for a blank screen
    --[[
        Platform_1.xpos = Width - Times64()
        Platform_1.ypos = Height - Times64()
        Platform_2.xpos = Width - Times64()
        Platform_2.ypos = Height - Times64()
        Platform_3.xpos = Width - Times64()
        Platform_3.ypos = Height - Times64()
        Thin_1.xpos = Width - Times64()
        Thin_1.ypos = Height - Times64()
        Thin_2.xpos = Width - Times64()
        Thin_2.ypos = Height - Times64()
        Boost_1.xpos = Width - Times64()
        Boost_1.ypos = Height - Times64()
        Long_1.xpos = 0
        Long_1.ypos = Height - Times64()
        Tutorial.xpos = Width - Times64()
        Tutorial.ypos = Height - Times64()
    ]]
end

function Platform_loader:updatePlatformHitboxes()
    Platform_1.topx = Platform_1.xpos + 10
    Platform_1.topy = Platform_1.ypos
    Platform_1.topWidth = Platform_1.Width - 20
    Platform_1.topHeight = 10
    -- bottom hitbox
    Platform_1.bottomx = Platform_1.xpos + 10
    Platform_1.bottomy = Platform_1.ypos + Platform_1.Height - 10
    Platform_1.bottomWidth = Platform_1.Width - 20
    Platform_1.bottomHeight = 10
    -- right hitbox
    Platform_1.rightx = Platform_1.xpos + Platform_1.Width - 10
    Platform_1.righty = Platform_1.ypos + 10
    Platform_1.rightWidth = 10
    Platform_1.rightHeight = Platform_1.Height - 20
    -- left hitbox
    Platform_1.leftx = Platform_1.xpos
    Platform_1.lefty = Platform_1.ypos + 10
    Platform_1.leftWidth = 10
    Platform_1.leftHeight = Platform_1.Height - 20
    -- top hitbox
    Platform_2.topx = Platform_2.xpos + 10
    Platform_2.topy = Platform_2.ypos
    Platform_2.topWidth = Platform_2.Width - 20
    Platform_2.topHeight = 10
    -- bottom hitbox
    Platform_2.bottomx = Platform_2.xpos + 10
    Platform_2.bottomy = Platform_2.ypos + Platform_2.Height - 10
    Platform_2.bottomWidth = Platform_2.Width - 20
    Platform_2.bottomHeight = 10
    -- right hitbox
    Platform_2.rightx = Platform_2.xpos + Platform_2.Width - 10
    Platform_2.righty = Platform_2.ypos + 10
    Platform_2.rightWidth = 10
    Platform_2.rightHeight = Platform_2.Height - 20
    -- left hitbox
    Platform_2.leftx = Platform_2.xpos
    Platform_2.lefty = Platform_2.ypos + 10
    Platform_2.leftWidth = 10
    Platform_2.leftHeight = Platform_2.Height - 20
    -- top hitbox
    Platform_3.topx = Platform_3.xpos + 10
    Platform_3.topy = Platform_3.ypos
    Platform_3.topWidth = Platform_3.Width - 20
    Platform_3.topHeight = 10
    -- bottom hitbox
    Platform_3.bottomx = Platform_3.xpos + 10
    Platform_3.bottomy = Platform_3.ypos + Platform_3.Height - 10
    Platform_3.bottomWidth = Platform_3.Width - 20
    Platform_3.bottomHeight = 10
    -- right hitbox
    Platform_3.rightx = Platform_3.xpos + Platform_3.Width - 10
    Platform_3.righty = Platform_3.ypos + 10
    Platform_3.rightWidth = 10
    Platform_3.rightHeight = Platform_3.Height - 20
    -- left hitbox
    Platform_3.leftx = Platform_3.xpos
    Platform_3.lefty = Platform_3.ypos + 10
    Platform_3.leftWidth = 10
    Platform_3.leftHeight = Platform_3.Height - 20
end